<div class="container">
  <div class="row">
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2">
      <!--
          Create a Form with the following Controls and Validators
          1) Project Name (should not be empty)
          2) Mail (should not be a empty and a valid email)
          3) Project Status Dropdown, with three values: 'Stable', 'Critical', 'Finished'
          4) Submit Button

          Add your own Validator which doesn't allow "Test" as a Project Name

          Also implement that Validator as an async Validator (replace the other one)

          Upon submitting the form, simply print the value to the console
      -->
      <form [formGroup]="projetForm" (ngSubmit)="onSaveProject()">
        <div class="form-group">
          <label for="name">Nom du Projet</label>
          <input type="text" id="name" class="form-control" formControlName="nomProjet">
        </div>
        <div class="form-group">
          <label for="Email">Email</label>
          <input type="text" id="email" class="form-control"  formControlName="email">
        </div>
        <div class="form-group">
          <label for="Status">Status</label>
          <select id="status" class="form-control"  formControlName="status">
            <option value="stable">Stable</option>
            <option value="critical">Critique</option>
            <option value="finished">Fini</option>
          </select>
        </div>
        <button type="submit" class="btn btn-primary">Creer Projet</button>
      </form>
    </div>
  </div>
</div>
